accounts/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^alterar-dados/$', views.UpdateUserView.as_view(template_name='update_user.html'), name='update_user'),
    url(r'^alterar-senha/$', views.UpdatePasswordView.as_view(template_name='update_password.html'), name='update_password'),
    url(r'^registro/$', views.RegisterView.as_view(template_name='register.html'), name='register'),
]

app_name = "accounts"

catalog/urls.py
from django.conf.urls import url
from . import views

urlpatterns = [
    url(r'^$', views.product_list, name='product_list'),
    url(r'^(?P<slug>[\w_-]+)/$', views.category, name='category'), #\w qualquer caracteres alfanumérico
    url(r'^produtos/(?P<slug>[\w_-]+)/$', views.product, name='product'),
]

app_name = "catalog"

getek/urls.py
from django.contrib import admin
from django.conf.urls import url, include
from core import views
from catalog import views as views_catalog
from django.views.static import serve as serve_static
from django.contrib.auth import login
from django.contrib.auth.views import LoginView, LogoutView
from django.contrib.auth import views as auth_views
from django.conf import settings
from django.conf.urls.static import static
from django.views.static import serve as serve_static


urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^contato/$', views.contact, name='contact'),
    url(r'^entrar/$', auth_views.LoginView.as_view(template_name='login.html'), name='login'),
    url(r'^sair/', auth_views.LogoutView.as_view(template_name='index.html'), name='logout'),
    url(r'^catalogo/', include('catalog.urls', namespace='catalog')),
    url(r'^conta/', include('accounts.urls', namespace='accounts')),
    url(r'^admin/', admin.site.urls),
]

if settings.DEBUG:
    urlpatterns += static(
        settings.MEDIA_URL, document_root=settings.MEDIA_ROOT
)

core/models.py
from django.db import models

# Create your models here.

core/forms.py
from django import forms
from django.core.mail import send_mail
from django.conf import settings

class ContactForm(forms.Form):
    name = forms.CharField(label='Nome')
    email = forms.EmailField(label='E-mail')
    message = forms.CharField(label='Mensagem', widget=forms.Textarea())

    def send_mail(self):
        name = self.cleaned_data['name']
        email = self.cleaned_data['email']
        message = self.cleaned_data['message']
        message = 'Nome: {0}\nE-mai:{1}\n{2}'.format(name, email, message)
        send_mail(
            'Contato GETEK', message, settings.DEFAULT_FROM_EMAIL,
            [settings.DEFAULT_FROM_EMAIL]
        )

core/views.py
from django.shortcuts import render
from django.http import HttpResponse

from django.core.mail import send_mail
from django.conf import settings
from django.contrib.auth.forms import UserCreationForm
from django.views.generic import View, TemplateView, CreateView
from django.contrib.auth import get_user_model

from catalog.models import Category
from .forms import ContactForm

from django.urls import reverse_lazy

User = get_user_model
 
class IndexView(TemplateView):

    template_name = 'index.html'


index = IndexView.as_view()

def contact(request):
    success = False
    form = ContactForm(request.POST or None)
    if form.is_valid():
        form.send_mail()
        success = True 
    context = {
        'form': form,
        'success': success
    }
    return render(request, 'contact.html', context)

core/templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="utf-8">
	<title>{% block title %} GETEK {% endblock %}</title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<link rel="stylesheet" href="{% static 'assets/bootstrap.min.css' %}" media="screen" />
	<link rel="stylesheet" href="{% static 'assets/custom.min.css' %}" media="screen" />
  <link rel="stylesheet" href="{% static 'assets/extra.css' %}" media="screen" />
</head>
<body>
    <div class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <a href="{% url 'index' %}" class="navbar-brand">Lilian Atelier</a>
          <button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#navbar-main">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
        </div>
        <div class="navbar-collapse collapse" id="navbar-main">
          <ul class="nav navbar-nav">
            <li>
              <a href="{% url 'index' %}">Início</a>
            </li>
            <li class="dropdown">
              <a class="dropdown-toggle" data-toggle="dropdown" href="{% url 'catalog:product_list' %}" id="download">Categorias <span class="caret"></span></a>
              <ul class="dropdown-menu" aria-labelledby="download">
                {% for category in categories %}
                 <li><a href="{{ category.get_absolute_url }}">{{ category }}</a></li>
                {% endfor %}
              </ul>
            </li>
          </ul>
          <ul class="nav navbar-nav navbar-right">
            {% if user.is_authenticated %}
              <li><a href="{% url 'contact' %}">Fale Conosco</a></li>
              <li><a href="{% url 'accounts:index' %}">Alterar Dados</a></li>
              <li><a href="{% url 'logout' %}">Sair</a></li>
			      {% else %}
			        <li><a href="{% url 'login' %}">Entrar</a></li>
              <li><a href="{% url 'accounts:register' %}">Registro</a></li>
            {% endif %}
          </ul>
        </div>
      </div>
    </div>
    <div class="container margin-top">
        {% block container %} {% endblock %}
		<footer>
			<div class="row">
			  <div class="col-lg-12">
			    <ul class="list-unstyled">
			      <li class="pull-right"><a href="#top">Voltar ao Topo</a></li>
			      <li><a href="{% url 'index' %}">Início</a></li>
              {% if user.is_authenticated %}
              <li><a href="{% url 'admin:index' %}">Acesso Administrador</a></li>
			        {% else %}
			        {% endif %}
			    </ul>
			  </div>
			</div>
		</footer>
	</div>
	<script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="{% static 'assets/bootstrap.min.js' %}"></script>
</body>
</html>

core/templates/contact.html
{% extends "base.html" %}

{% load widget_tweaks %}

{% block title %}
    Contato | {{ block.super }}

{% endblock %}

{% block container %}

<div class="page-header">
    <h1>Fale conosco</h1>
    {% if success %}
    <div class="alert alert-success">
      Mensagem enviada com sucesso
    </div>
    {% endif %}
    <form class="form-horizontal" action="" method="post">
        {% csrf_token %}
        <fieldset>
            {% for field in form %}
            <div class="form-group{% if field.errors %} has-error{% endif %}">
              <label for="{{ field.auto_id }}" class="col-md-3 control-label">{{ field.label }}</label>
              <div class="col-md-9">
                {% render_field field class='form-control' %}
                {% for error in field.errors %}
                <span class="help-block">{{ error }}</span>
                {% endfor %}
              </div>
            </div>
            {% endfor %}
            <div class="form-group">
              <div class="col-md-9 col-md-offset-3">
                <button type="submit" class="btn btn-primary">Enviar</button>
              </div>
            </div>
        </fieldset>
    </form>
</div>

{% endblock %}

core/templates/index.html
{% extends "base.html" %}

{% block container %}
<div class="jumbotron page-header">
	<h1>Lilian Atelier Cortinas e Persianas</h1>
	<p>O sonho de entregar o produto e serviço perfeito já existia há muito tempo. Depois de muito pensar, e claro, muito planejar, colocamos esse sonho em prática. Investimos em máquinas, colaboradores, parcerias, fornecedores e também, na nossa comunidade. Buscamos sempre entregar produtos e serviços de qualidade e de forma única. O carinho e dedicação em tudo que fazemos leva em conta a satisfação e felicidade daqueles que nos procuram buscando o melhor. Com um time sempre preparado para novos desafios, criamos o site com o intuito de mostrar para nossos clientes, admiradores e futuros consumidores um pouco do nosso trabalho, da nossa história e também do nosso futuro no mercado de Cortinas e Persianas. 
	Agende uma visita efetuando o cadastro <a href="{% url 'accounts:register' %}">aqui</a>!</p>
</div>
<div class="jumbotron page-media-body">
	<h1>GETEK</h1>
	<p>Getek é uma empresa de desenvolvimento especializada na criação de sites, identidade visual e muito mais. Nossa equipe sempre preparada e capacitada para qualquer desafio, busca sempre a aprovação total do cliente, afinal aqui, é ele quem manda. Temos como nossa missão construir uma relação de parceria com nossos clientes, entregando sempre não só um bom resultado, mas sim o MELHOR. Nosso foco e especialização são sites para comércios que querem expandir seus horizontes e mostrar para seus clientes, admiradores, parceiros e possíveis consumidores um pouco do seu trabalho, da sua história e claro, de toda satisfação que ele pode oferecer. Aqui buscamos junto com você o futuro dessa história!</p>
</div>
{% endblock %}

core/templates/login.html
{% extends "base.html" %}

{% load widget_tweaks %}

{% block title %}

    Entrar | {{ block.super }}

{% endblock %}

{% block container %}

<div class="row">
    <div class="col-md-8 col-md-offset-2">
        <div class="page-header">
            <h1>Entrar</h1>
        </div>
        <form class="form-horizontal" method="post">
            {% csrf_token %}
            {% for error in form.non_field_errors %}
            <div class="alert alert-danger">
                {{ error }}
            </div>
            {% endfor %}
            <fieldset>
                <div class="form-group{% if form.username.errors %} has-error{% endif %}">
                  <label for="{{ form.username.auto_id }}" class="col-md-3 control-label">{{ form.username.label }}</label>
                  <div class="col-md-9">
                    {% render_field form.username class="form-control" %}
                    {% for error in form.username.errors %}
                    <span class="help-block">{{ error }}</span>
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group{% if form.password.errors %} has-error{% endif %}">
                  <label for="{{ form.password.auto_id }}" class="col-md-3 control-label"> {{form.password.label }}</label>
                  <div class="col-md-9">
                    {% render_field form.password class="form-control" %}
                    {% for error in form.password.errors %}
                    <span class="help-block">{{ error }}</span>
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  <div class="col-md-9 col-md-offset-3">
                    <button type="submit" class="btn btn-primary">Enviar</button>
                  </div>
                </div>
            </fieldset>
        </form>
    </div>
</div>

{% endblock %}